﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Wait for Operation Complete (OPC) IEEE
DATE:                  2009-04-02
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2605 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       128
=============================================================================
#
# Compatibility:
#   MET/CAL 6.11A or later
#
# Subprocedures:
#   None
#
# Required Files:
#   None
#
# Registers Used:
#
#   M[86]
#     Used to save and restore MEM
#
#   M[87]
#     Timeout counter
#
#   M[88]
#     Timeout (in milliseconds) to wait for OPC
#
#   M[89]
#     = 1 OPC bit in Extended Status Register (ESR) is set
#     = 0 timed out waiting for OPC
#     = -1 An error occurred
#
#   S[28]
#     Contains error text when M[89] < 1
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
# Save MEM
  1.001  MATH         M[86] = MEM

# Make a copy of the timeout.
  1.002  MATH         M[87] = M[88]
  1.003  MATH         M[89] = -1
#
# *SRE  0  Inhibit all SRQ's (This was added because Portocal II enabled
#          UUT SRQ's to enable communication using Wavetest.
#
#      32  Command Error
#      16  Execution Error
#       8  Device Dependent Error
#       4  Query Error
#       1  Operation Complete (OPC)
#      --
# *ESE 61  Set the Event Status Enable mask (ESE) so the Event Status Bit
#          (ESB) is set in the status byte for the listed conditions.
#
# *OPC     Set Operation Complete bit (OPC) in Event Status Register (ESR)
#          to 1 when all pending operations have completed.
#
  1.004  IEEE         *SRE 0;*ESE 61;*OPC

# Serial poll the instrument until the ESB is set in the status byte.
  1.005  LABEL        WAIT_FOR_ESB_LOOP
# ESB is bit 5, decimal 32.
  1.006  IEEE         [SPL 32]
  1.007  JMPL         QUERY_ESR                    MEM > 0
  1.008  IEEE         [D100]
  1.009  MATH         M[87] = M[87] - 100
  1.010  JMPL         TIMEOUT                      M[87] <= 0
  1.011  JMPL         WAIT_FOR_ESB_LOOP

  1.012  LABEL        QUERY_ESR
  1.013  IEEE         *ESR?[I]

# If Power On bit 7 is set.  This is not an error.
# If User Request bit 6 is set.  This is not an error.

  1.014  JMPL         COMMAND_ERROR                BIT(5, MEM)
  1.015  JMPL         EXECUTION_ERROR              BIT(4, MEM)
  1.016  JMPL         DEVICE_DEPENDENT_ERROR       BIT(3, MEM)
  1.017  JMPL         QUERY_ERROR                  BIT(2, MEM)
  1.018  JMPL         REQUEST_CONTROL              BIT(1, MEM)
  1.019  JMPL         OPERATION_COMPLETE           BIT(0, MEM)
  1.020  JMPL         WAIT_FOR_ESB_LOOP

  1.021  LABEL        COMMAND_ERROR
  1.022  MATH         S[28] = "Command Error"
  1.023  JMPL         ERROR

  1.024  LABEL        EXECUTION_ERROR
  1.025  MATH         S[28] = "Execution Error"
  1.026  JMPL         ERROR

  1.027  LABEL        DEVICE_DEPENDENT_ERROR
  1.028  MATH         S[28] = "Device Dependent Error"
  1.029  JMPL         ERROR

  1.030  LABEL        QUERY_ERROR
  1.031  MATH         S[28] = "Query Error"
  1.032  JMPL         ERROR

# This bit should never be set.
  1.033  LABEL        REQUEST_CONTROL
  1.034  MATH         S[28] = "Request Control"
  1.035  JMPL         ERROR

  1.036  LABEL        TIMEOUT
  1.037  MATH         S[28] = "Timeout waiting for Operation Complete (OPC)."
  1.038  MATH         M[89] = 0

  1.039  LABEL        ERROR
  1.040  OPBR         [SREG28]
  1.040  OPBR
  1.040  OPBR         Do you wish to continue?
  1.041  JMPL         END                          MEM1 < 0
  1.042  MATH         M[89] = 1
  1.043  JMPL         END

  1.044  LABEL        OPERATION_COMPLETE
  1.045  MATH         S[28] = "No error"
  1.046  MATH         M[89] = 1

  1.047  LABEL        END
  1.048  MATH         MEM = M[86]
  1.049  END
