﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek TDS 210: (1 year) VER IEEE /5800+5Ch
DATE:                  2017-01-30 09:12:16
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       271
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:  DAC, DFM
#
#  Model(s) Covered:  Tektronix TDS 210, 220, 224
#
#  Source:            Tektronix TDS 200-Series Digital Real-Time Oscilloscope
#                     Service Manual, Part No. 071-0492-02
#
#  Additional Equipment Required:
#                     Termination, feedthrough, 50 Ohm, BNC, Pomona 4119-50
#                      (2 ea. for TDS 210 and 220, 4 ea. for TDS 224)
#                     Cable, 12", 50 Ohm, BNC(m)-(m), Pomona 2249-C-12
#                     Tee, BNC(f)-(m)-(f), Pomona 3285
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  GLOBAL NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used to set watchdog timer in the event the
#     oscillscope does not respond to a status command.  THIS REGISTER IS
#     SOMETIMES USED IN THE MAIN PROCEDURE as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#
#   M[1]
#     This register is used in the Trigger Section of the procedure to store
#     temporary values of MEM.  This section is part of a feedback loop which
#     is used to adjust the 5800 to the proper amplitude.
#
#   M[2]
#     This register is used in the Trigger Section of the procedure to
#     calculate how much the 5800 will be adjusted in the feedback loop.
#
#   M[3]
#     This register is used in the main triggering section to help determine
#     whether the scope is making a correct type of measurement.
#
#   M[4]
#     This register is used to store a value from the -0.600V DC Tests to be
#     to be compared later
#
#   M[5]
#     This register is used to store a value from the -0.900V DC Tests to be
#     to be compared later
#
#   M[7]
#     This wariable is used to determine whether the scope has triggered
#     properly and is used with the JMPL FSC.
#
#   M[8]
#     This register is used during the TIMEBASE test to store vertical
#     cursor information.
#
#   M[9]
#     This register is used during the TIMEBASE test to store horizontal
#     cursor information.
#
#   M[100]
#     Channel number
#
#   M[102]
#     Bandwidth in Megahertz (50, 100, 200, or 400)
#
#  Local Numeric Variables:
#       L[1]  = Description of Local Numeric Variables
#
#  Global String Variables:
#       S[1] = Description of Global String Variables
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  ASK-   R   Q N              P                            A        W
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  JMPL         PROC_START
  1.003  M5800                                                    C2

  1.004  LABEL        PROC_START
# Verify MET/CAL version compatibility.
  1.005  IF           VERS() < 7.01
  1.006  DISP         This procedure requires MET/CAL 7.01 or later.
  1.007  JMPL         END
  1.008  ENDIF

  1.009  HEAD         COPYRIGHT NOTICE
  1.010  DISP         [32]               PLEASE NOTE!
  1.010  DISP         This procedure is © 2003, Fluke Corporation.
  1.010  DISP         All rights reserved.

  1.011  HEAD         PERSONNEL SAFETY
  1.012  DISP         [32]                     WARNING!
  1.012  DISP         HIGH VOLTAGE is present during the execution of this
  1.012  DISP         procedure.  DEATH ON CONTACT may result if personnel
  1.012  DISP         fail to observe proper safety precautions!
  1.012  DISP
  1.012  DISP         If this equipment in conjunction with the software is
  1.012  DISP         used in a manner not specified by the manufacturer, the
  1.012  DISP         protection provided by the equipment may be impaired.

  1.013  HEAD         INITIAL INFORMATION
  1.014  OPBR         Do you want this procedure to PAUSE on failed tests?

  1.015  IF           MEM1 > 0
# Set ASK flags to enable Post Test box with "Cancel" option on fail.
  1.016  ASK+                                          X
  1.017  ASK-                                                     F
  1.018  ENDIF

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         Do you want to REVIEW the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1 > 0
  1.022  DISP         The following additional equipment is required:
  1.022  DISP         - Termination, feedthrough, 50 Ohm, BNC, Pomona 4119-50,
  1.022  DISP         [32] 2 ea.
  1.022  DISP         - Cable, 12", 50 Ohm, BNC(m)-(m), Pomona 2249-C-12
  1.022  DISP         - Tee, BNC(f)-(m)-(f), Pomona 3285
  1.022  DISP         The following is required for the TDS 224 only.
  1.022  DISP         - Termination, feedthrough, 50 Ohm, BNC, Pomona 4119-50,
  1.022  DISP         [32] 4 ea.
  1.023  ENDIF

# Set timeout for OPC to 30s.
  1.024  MATH         M[88] = 30000

# Initial hook-up information (for GPIB UUTs).
  1.025  RSLT         =
  1.026  HEAD         PRELIMINARY INSTRUCTIONS
  1.027  DISP         Connect the UUT to IEEE-488 Port 1 and turn it on.

  1.028  EVAL   -s "Self-Test" : Did the power-on self-test pass?
  2.001  DISP         Press UTILITY->Options->GPIB Setup.
  2.001  DISP
  2.001  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  2.001  DISP         operation (the address is not important, as long
  2.001  DISP         as it is not (0) zero).
  2.001  DISP
  2.001  DISP         Set "Bus connection" to "Talk-Listen".

  2.002  IEEE         *RST;*SRE 0;DESE 61
  2.003  CALL         Sub Wait for Operation Complete (OPC) IEEE
  2.004  JMPL         ERROR                        M[89] <= 0

# Put UUT ID string into results; allow for firmware documentation.
  2.005  RSLT         =
  2.006  CALL         Sub IEEE-488.2 Identification Query (*IDN?) IEEE

  2.007  IF           NOT(FIND(S[2], "TDS 210", 1))
  2.008  DISP         A Tektronix TDS 210 Scope is not connected to
  2.008  DISP         IEEE-488 port 1.
  2.009  END
  2.010  ENDIF

  2.011  MATH         M[102] = 60

  2.012  DISP         Allow a 10 minute warm-up period before advancing...
  2.013  OPBR         -z It is recommended that a Signal Path Compensation
  2.013  OPBR         Test be performed before running the performance Test.
  2.013  OPBR         It is only necessary to run this test one time.
  2.013  OPBR         Do you want to run the Signal Path Compensation Test?

  2.014  IF           MEM1
  2.015  RSLT         =
  2.016  HEAD         SIGNAL PATH COMPENSATION
  2.017  DISP         Press UTILITY and select Do Self Cal to start the
  2.017  DISP         routine.  Follow the instructions on the UUT screen.
  2.017  DISP         The routine takes approximately one minute to complete.
  2.018  EVAL   -s "Signal Path Compensation Test" : Did Self Cal pass?
  3.001  ENDIF

  3.002  MATH         M[100] = 1
  3.003  CALL         Sub Fluke 5800A-5 Channel Selection
  3.004  JMPL         ERROR                        M[89] <= 0
  3.005  CALL         Sub Tek TDSxxx Channel Selection
  3.006  JMPL         ERROR                        M[89] <= 0
  3.007  CALL         Sub TDS2xx (1 yr) DCV IEEE /5800
  3.008  JMPL         ERROR                        M[89] <= 0

  3.009  MATH         M[100] = 2
  3.010  CALL         Sub Fluke 5800A-5 Channel Selection
  3.011  JMPL         ERROR                        M[89] <= 0
  3.012  CALL         Sub Tek TDSxxx Channel Selection
  3.013  JMPL         ERROR                        M[89] <= 0
  3.014  CALL         Sub TDS2xx (1 yr) DCV IEEE /5800
  3.015  JMPL         ERROR                        M[89] <= 0

  3.016  MATH         M[100] = 1
  3.017  CALL         Sub Fluke 5800A-5 Channel Selection
  3.018  JMPL         ERROR                        M[89] <= 0
  3.019  CALL         Sub Tek TDSxxx Channel Selection
  3.020  JMPL         ERROR                        M[89] <= 0
  3.021  CALL         Sub TDS2xx (1 yr) Bandwidth IEEE /5800
  3.022  JMPL         ERROR                        M[89] <= 0

  3.023  MATH         M[100] = 2
  3.024  CALL         Sub Fluke 5800A-5 Channel Selection
  3.025  JMPL         ERROR                        M[89] <= 0
  3.026  CALL         Sub Tek TDSxxx Channel Selection
  3.027  JMPL         ERROR                        M[89] <= 0
  3.028  CALL         Sub TDS2xx (1 yr) Bandwidth IEEE /5800
  3.029  JMPL         ERROR                        M[89] <= 0

  3.030  MATH         M[100] = 1
  3.031  CALL         Sub Fluke 5800A-5 Channel Selection
  3.032  JMPL         ERROR                        M[89] <= 0
  3.033  CALL         Sub Tek TDSxxx Channel Selection
  3.034  JMPL         ERROR                        M[89] <= 0
  3.035  CALL         Sub TDS2xx (1 yr) Timebase IEEE /5800
  3.036  JMPL         ERROR                        M[89] <= 0

  3.037  CALL         Sub Fluke 5800A-5 Channel Selection
  3.038  JMPL         ERROR                        M[89] <= 0
  3.039  CALL         Sub Tek TDSxxx Channel Selection
  3.040  JMPL         ERROR                        M[89] <= 0
  3.041  CALL         Sub TDS2xx (1 yr) Trigger IEEE /5800
  3.042  JMPL         ERROR                        M[89] <= 0

  3.043  MATH         M[100] = 2
  3.044  CALL         Sub Fluke 5800A-5 Channel Selection
  3.045  JMPL         ERROR                        M[89] <= 0
  3.046  CALL         Sub Tek TDSxxx Channel Selection
  3.047  JMPL         ERROR                        M[89] <= 0
  3.048  CALL         Sub TDS2xx (1 yr) Trigger IEEE /5800
  3.049  JMPL         ERROR                        M[89] <= 0

  3.050  PIC          58_2xx_e
  3.051  MATH         M[100] = 1
  3.052  CALL         Sub Fluke 5800A-5 Channel Selection
  3.053  JMPL         ERROR                        M[89] <= 0
  3.054  CALL         Sub Tek TDSxxx Channel Selection
  3.055  JMPL         ERROR                        M[89] <= 0
  3.056  CALL         Sub TDS2xx (1 yr) Ext Trig IEEE /5800
  3.057  JMPL         ERROR                        M[89] <= 0
  3.058  JMPL         END

  3.059  LABEL        ERROR
  3.060  HEAD         ERROR
  3.061  DISP         [SREG28]

  3.062  LABEL        END
  3.063  END
